@tailwind base;
@tailwind components;
@tailwind utilities;

@layer base {
  @font-face {
    font-family: Poppins;
    src: url(../src/assets/fonts/Poppins-Regular.ttf);
  }
}

/* General styling */
main {
  @apply text-base text-darkGrey px-5 py-10;
}

h1 {
  @apply text-3xl md:text-6xl font-bold text-darkBlue;
}

h2 {
  @apply text-2xl md:text-4xl font-bold text-darkBlue;
}

h3 {
  @apply text-xl md:text-2xl font-bold text-darkBlue;
}

h4 {
  @apply text-base md:text-xl font-bold text-darkViolet;
}

.label {
  @apply text-base font-bold text-darkBlue;
}

.link {
  @apply text-base underline text-standardViolet;
}

/* buttons */

.button {
  @apply label bg-standardViolet rounded-md w-28 py-2 shadow-xl transition-all duration-500 hover:bg-lightViolet hover:inner-border-2 hover:inner-border-standardViolet hover:text-standardViolet;
}

.buttonFit {
  @apply label bg-standardViolet rounded-md px-5 py-2 shadow-xl transition-all duration-500 hover:bg-lightViolet hover:inner-border-2 hover:inner-border-standardViolet hover:text-standardViolet;
}

.imageButton {
  @apply bg-standardViolet cursor-pointer p-2 rounded-full h-12;
}

.icon-button {
  @apply bg-standardViolet w-12 h-12 rounded-full flex justify-center items-center transition-all duration-500 hover:bg-lightViolet hover:inner-border-2 hover:inner-border-standardViolet;
}

/* input styles */
.input {
  @apply text-darkViolet placeholder:text-standardViolet border-2 border-standardViolet rounded-md focus:outline-darkViolet px-2 py-1 w-60 md:w-72;
}

.inputSmall {
  @apply text-darkViolet placeholder:text-standardViolet border-2 border-standardViolet rounded-md focus:outline-darkViolet px-2 py-1 w-24;
}

.baseFormInput {
  @apply flex gap-1;
}

/* Base Layout */

.baseMain {
  @apply flex flex-col gap-10 justify-center items-center;
}

.baseContent {
  @apply bg-lightViolet flex flex-col gap-7 md:gap-10 justify-center items-center p-5 md:p-10 rounded-md shadow-md;
}

/* Homepage */
.baseContentHome {
  @apply bg-lightViolet flex flex-col gap-7 justify-center items-center p-5 md:p-10 rounded-md shadow-md;
}

/* OfficeDefaultLayout */

.baseForm {
  @apply flex gap-6;
}

/* User Bookings Overview page */

.bookingsOverviewGrid {
  @apply flex flex-col gap-5 items-center;
}

/* Style of the admin pages */

.adminGrid {
  @apply bg-standardViolet rounded-md flex flex-col gap-2 items-center px-2.5 py-4 hover:-translate-y-1 hover:scale-105 duration-300;
}

.adminOfficeGrid {
  @apply flex gap-5 items-center justify-center adminGrid w-44;
}

.borderStyle {
  @apply flex gap-5 border-2 border-standardViolet p-5 rounded-md shadow-md;
}

.AdminFlexStyle {
  @apply flex flex-col gap-5;
}

.baseFlexStyle {
  @apply flex flex-col gap-5;
}

.AdminBaseGrid {
  @apply bg-white p-5 rounded-md shadow-lg;
}

.AdminUsercardGrid {
  @apply bg-white px-5 py-2 rounded-md shadow-lg;
}

/* Desk Booking Plan */

.desk {
  @apply bg-standardViolet rounded-md shadow-xl transition-all duration-500 hover:bg-lightViolet hover:inner-border-2 hover:inner-border-standardViolet hover:text-standardViolet;
}

/* navbar */

.navbar {
  @apply bg-standardViolet hover:bg-lightViolet p-5 hover:text-darkViolet duration-200;
}

.openNavbar {
  @apply animate-in slide-in-from-top duration-300;
}

/* icons */

.icons {
  @apply w-10;
}
